MACRO(TEST_COMPILER_VISIBILITY VARIABLE)
	IF(NOT WIN32 AND NOT CMAKE_COMPILER_IS_ICC)
		SET(CMAKE_REQUIRED_FLAGS "-fvisibility=hidden")
		CHECK_C_SOURCE_COMPILES(
			"void __attribute__((visibility(\"default\"))) test() {}
			#ifdef __INTEL_COMPILER
			#error ICC breaks with binutils and visibility
			#endif
			int main(){}
			" ${VARIABLE})
		SET(CMAKE_REQUIRED_FLAGS "")
	ENDIF(NOT WIN32 AND NOT CMAKE_COMPILER_IS_ICC)
ENDMACRO(TEST_COMPILER_VISIBILITY)
